import { jsx } from "react/jsx-runtime";
import { TokenYFII as TokenYFII$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenYFII = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "YFII", "data-name": "TokenYFII", ...props, children: /* @__PURE__ */ jsx(TokenYFII$1, { variant }) });
  }
);
TokenYFII.displayName = "TokenYFII";
Object.assign(TokenYFII, { isGdsIcon: true });
export {
  TokenYFII
};
